Bug 24241 - Description missing for subpermission manage_accounts
Summary: Description missing for subpermission manage_accounts
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low major (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on: 23049
Blocks:
  Show dependency treegraph
 
Reported: 2019-12-13 16:50 UTC by Jonathan Druart
Modified: 2020-01-07 22:07 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00, 19.11.01


Attachments
Bug 24241: (bug 23049 follow-up) Add description for manage_accounts (1.40 KB, patch)
2019-12-13 16:52 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 24241: (bug 23049 follow-up) Add description for manage_accounts (1.45 KB, patch)
2019-12-15 21:43 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 24241: (bug 23049 follow-up) Add description for manage_accounts (1.51 KB, patch)
2019-12-16 09:54 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2019-12-13 16:50:37 UTC
It's not in permissions.inc
Comment 1 Jonathan Druart 2019-12-13 16:52:30 UTC
Created attachment 96269 [details] [review]
Bug 24241: (bug 23049 follow-up) Add description for manage_accounts

Test plan:
Edit permissions for a patron
Unfold "Manage Koha system settings (Administration panel)"
=> Without this patch a checkbox appears without description
=> With this patch you see the description for manage_accounts
Comment 2 Owen Leonard 2019-12-15 21:43:58 UTC
Created attachment 96297 [details] [review]
Bug 24241: (bug 23049 follow-up) Add description for manage_accounts

Test plan:
Edit permissions for a patron
Unfold "Manage Koha system settings (Administration panel)"
=> Without this patch a checkbox appears without description
=> With this patch you see the description for manage_accounts

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 3 Martin Renvoize 2019-12-16 09:54:54 UTC
Created attachment 96307 [details] [review]
Bug 24241: (bug 23049 follow-up) Add description for manage_accounts

Test plan:
Edit permissions for a patron
Unfold "Manage Koha system settings (Administration panel)"
=> Without this patch a checkbox appears without description
=> With this patch you see the description for manage_accounts

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 4 Martin Renvoize 2019-12-16 09:55:46 UTC
Thanks for the quick fix here Jonatha, I think i must have lost the change during a rebase action :(

Passing QA
Comment 5 Martin Renvoize 2019-12-16 11:07:10 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 6 Joy Nelson 2020-01-02 17:12:43 UTC
Pushed to 19.11.x branch for 19.11.02
Comment 7 Lucas Gass 2020-01-07 22:07:01 UTC
missing dependencies for 19.05.x, no backport